GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::network::ApplicationContext Class Reference

ApplicationContext Table 9-12 APPLICATION CONTEXT ITEM FIELDS Looks like Application Context can only be 64 bytes at max (see Figure 9-1 / PS 3.8 - 2009 ) More...

`#include <gdcmApplicationContext.h>`

List of all members.

## Public Member Functions

| ApplicationContext ()
const char * | GetName () const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetName (const char *name)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

ApplicationContext Table 9-12 APPLICATION CONTEXT ITEM FIELDS Looks like Application Context can only be 64 bytes at max (see Figure 9-1 / PS 3.8 - 2009 )

## Constructor & Destructor Documentation

gdcm::network::ApplicationContext::ApplicationContext | ( |  | ) |

## Member Function Documentation

const char* gdcm::network::ApplicationContext::GetName | ( |  | ) | const`[inline]`

void gdcm::network::ApplicationContext::Print | ( | std::ostream & | os | ) | const

std::istream& gdcm::network::ApplicationContext::Read | ( | std::istream & | is | ) |

void gdcm::network::ApplicationContext::SetName | ( | const char * | name | ) | `[inline]`

size_t gdcm::network::ApplicationContext::Size | ( |  | ) | const

const std::ostream& gdcm::network::ApplicationContext::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmApplicationContext.h